org.richfaces.fileUpload

## Class FileUploadFacesContextFactory

- java.lang.Object
- - javax.faces.context.FacesContextFactory
  - - org.richfaces.fileUpload.FileUploadFacesContextFactory

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.context.FacesContextFactory>

      public class FileUploadFacesContextFactory
      extends javax.faces.context.FacesContextFactory
      implements javax.faces.FacesWrapper<javax.faces.context.FacesContextFactory>

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `UID_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadFacesContextFactory(javax.faces.context.FacesContextFactory wrappedFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.context.FacesContext` | `getFacesContext(Object context, Object request, Object response, javax.faces.lifecycle.Lifecycle lifecycle)`
    `javax.faces.context.FacesContextFactory` | `getWrapped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UID_KEY

          public static final String UID_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileUploadFacesContextFactory

          public FileUploadFacesContextFactory(javax.faces.context.FacesContextFactory wrappedFactory)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.context.FacesContextFactory getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.FacesContextFactory>`
      Overrides:
        `getWrapped` in class `javax.faces.context.FacesContextFactory`

    - #### getFacesContext

          public javax.faces.context.FacesContext getFacesContext(Object context,
                                                         Object request,
                                                         Object response,
                                                         javax.faces.lifecycle.Lifecycle lifecycle)
                                                           throws javax.faces.FacesException

      Specified by:
        `getFacesContext` in class `javax.faces.context.FacesContextFactory`
      Throws:
        `javax.faces.FacesException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.